We help IT Professionals succeed at work.

What jQuery plug-in do I need for this demo?

curiouswebster
on
I'd like to run this demo in my MVC3 application:

http://jqueryui.com/demos/datepicker/#dropdown-month-year

But can't find the English-US version. Could someone please point out the location of the file (or files) I need?

Thanks.
Comment
Watch Question

leakim971Multitechnician
SILVER EXPERT
Distinguished Expert 2019
Commented:
all the localization files are here : http://jquery-ui.googlecode.com/svn/trunk/ui/i18n/
(bottom of your page of your link)
curiouswebsterSoftware Engineer

Author

Commented:
Yes, but I want English US. That's not there in localization. It must be the default version.

Do I need this: jquery.ui.datepicker.js

Why is it so hard getting this info and file from jQuery.com?

Could you give me the link to download this file?
Top Expert 2009
Commented:
When I do a 'View Source' after the page renders, this is what I see:

1.6.2/jquery.min.js
1.8.16/jquery-ui.min.js

So I'm thinking you need the above two files and the one below.

http://jquery-ui.googlecode.com/svn/trunk/ui/jquery.ui.datepicker.js

Arun
leakim971Multitechnician
SILVER EXPERT
Distinguished Expert 2019
Commented:
>It must be the default version.

yes

>Why is it so hard getting this info and file from jQuery.com?
because you can choose what to download to make a full package, to fill your needs

>Could you give me the link to download this file?
checkbox what you need here : http://jqueryui.com/download
curiouswebsterSoftware Engineer

Author

Commented:
Thanks!

Explore More ContentExplore courses, solutions, and other research materials related to this topic.